/* eslint max-len:0 */
'use strict';

const assert = require('chai').assert;
const { SVGPathData } = require('..');

describe('Positive translation', () => {

  it('should fail with no args', () => {
    assert.throws(() => {
      new SVGPathData(
        'm20,30l10,10z'
      ).translate().encode();
    }, Error);
  });

  it('should work with relative path', () => {
    assert.equal(new SVGPathData(
      'm20,30c0 0 10 20 15 30s10 20 15 30q10 20 15 30t10 10l10 10h10v10a10 10 5 1 0 10 10z'
    ).translate(10, 10).encode(),
    'm30 40c0 0 10 20 15 30s10 20 15 30q10 20 15 30t10 10l10 10h10v10a10 10 5 1 0 10 10z');
  });

  it('should work with absolute path', () => {
    assert.equal(new SVGPathData(
      'M20,30C0 0 10 20 15 30S10 20 15 30Q10 20 15 30T10 10L10 10H10V10A10 10 5 1 0 10 10z'
    ).translate(10, 10).encode(),
    'M30 40C10 10 20 30 25 40S20 30 25 40Q20 30 25 40T20 20L20 20H20V20A10 10 5 1 0 20 20z');
  });

});
